Bug 225941 - [maintainer update] for graphics/opencolorio
Summary: [maintainer update] for graphics/opencolorio
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 224382
  Show dependency treegraph
 
Reported: 2018-02-16 05:47 UTC by Shane
Modified: 2018-12-08 12:58 UTC (History)
2 users (show)

See Also:
FreeBSD: maintainer-feedback+


Attachments
maintainer update graphics/opencolorio to 1.1.0 (17.84 KB, patch)
2018-02-16 05:47 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update graphics/opencolorio to 1.1.0 (18.98 KB, patch)
2018-04-19 19:30 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update for graphics/opencolorio to 1.1.0 (18.77 KB, patch)
2018-09-12 02:02 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update for graphics/opencolorio to 1.1.0 (18.79 KB, patch)
2018-12-05 06:20 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2018-02-16 05:47:42 UTC
Created attachment 190675 [details]
maintainer update graphics/opencolorio to 1.1.0

update graphics/opencolorio to 1.1.0
modernise cmkae options.
Make use of path subdirs for patches only used by slave ports
Comment 1 Shane 2018-04-19 19:30:50 UTC
Created attachment 192664 [details]
maintainer update graphics/opencolorio to 1.1.0

Cleanup variable ordering from previous patch
Comment 2 Shane 2018-09-12 02:02:35 UTC
Created attachment 197036 [details]
maintainer update for graphics/opencolorio to 1.1.0

update to include fix for build with clang 7
Comment 3 Shane 2018-12-05 06:20:30 UTC
Created attachment 199839 [details]
maintainer update for graphics/opencolorio to 1.1.0

Update patch to include ports r486394 so it applies cleanly
- only added USES=compiler:c++11-lang
Comment 4 Kurt Jaeger freebsd_committer 2018-12-08 12:13:32 UTC
testbuilds@work
Comment 5 Kurt Jaeger freebsd_committer 2018-12-08 12:57:52 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2018-12-08 12:58:19 UTC
A commit references this bug:

Author: pi
Date: Sat Dec  8 12:57:39 UTC 2018
New revision: 486945
URL: https://svnweb.freebsd.org/changeset/ports/486945

Log:
  graphics/opencolorio: update 1.0.9 -> 1.1.0

  PR:		225941
  Submitted by:	Shane Ambler <FreeBSD@ShaneWare.Biz> (maintainer)
  Relnotes:	http://opencolorio.org/ChangeLog.html

Changes:
  head/graphics/opencolorio/Makefile
  head/graphics/opencolorio/distinfo
  head/graphics/opencolorio/files/extra-patch-CMakeLists.txt
  head/graphics/opencolorio/files/extra-patch-src_core_CMakeLists.txt
  head/graphics/opencolorio/files/extra-tools-patch-src_core_CMakeLists.txt
  head/graphics/opencolorio/files/libs/
  head/graphics/opencolorio/files/libs/patch-CMakeLists.txt
  head/graphics/opencolorio/files/libs/patch-src_core_CMakeLists.txt
  head/graphics/opencolorio/files/patch-CMakeLists.txt
  head/graphics/opencolorio/files/patch-share_sphinx_ExtractRstFromSourceCPP.py
  head/graphics/opencolorio/files/patch-src_core_Config.cpp
  head/graphics/opencolorio/files/tools/
  head/graphics/opencolorio/files/tools/patch-CMakeLists.txt
  head/graphics/opencolorio/files/tools/patch-src_core_CMakeLists.txt
  head/graphics/opencolorio/pkg-plist